Package org.opensaml.saml.saml2.metadata

# Interface AdditionalMetadataLocation

All Superinterfaces:
  `SAMLObject`, `XMLObject`, `XSURI`

All Known Implementing Classes:
  `AdditionalMetadataLocationImpl`

public interface AdditionalMetadataLocation extends SAMLObject, XSURI
SAML 2.0 Metadata AdditionalMetadataLocation.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`NAMESPACE_ATTRIB_NAME`
"affiliationOwnerID" attribute's local name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespaceURI()`
Gets the namespace URI.
`void`
`setNamespaceURI(String namespaceURI)`
Sets the namespace URI.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### NAMESPACE_ATTRIB_NAME

@Nonnull @NotEmpty static final String NAMESPACE_ATTRIB_NAME
"affiliationOwnerID" attribute's local name.

See Also:
  - Constant Field Values

## Method Details

### getNamespaceURI

@Nullable String getNamespaceURI()
Gets the namespace URI.

Returns:
  the namespace URI

### setNamespaceURI

void setNamespaceURI(@Nullable String namespaceURI)
Sets the namespace URI.

Parameters:
  `namespaceURI` - the namespace URI